+ Post New Thread
Page 5 of 486 FirstFirst ... 3 4 5 6 7 15 55 105 ... LastLast
Threads 101 to 125 of 12131

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 27,639
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 44,314
    18th Sep 2006 10:46 pm Go to last post
  1. Road Hatching

    I am creating a lisp for road hatching. This is what I have so far. It works by selecting a base line and inserting a blocka long it using the measure command. Create a selection set of the...

    Started by woodman78‎, 9th May 2011 01:12 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 4,213
    5th Aug 2014 11:54 am Go to last post
  2. HELP: Lisp to highlight dimensions that their objects it is snap to has shifted/moved

    Hi guys, In my work, I am tasked to locate & adjust dimension as some objects (lines/polylines.blocks etc...) has shifted/moved. I get an earful from my boss for missing out some of it. :cry:...

    Started by vernonlee‎, 28th Jul 2014 02:30 am
    4 Pages
    1 2 3 ... 4
    • Replies: 30
    • Views: 722
    5th Aug 2014 01:27 am Go to last post
  3. Cool The new Mad Max trailer looks cool... Done dialog question...

    Greetings all, Hopefully someone can help with a question I have. What is the difference between these sections of code? Is done dialog 1 and set userclick T saying the same thing? (action_tile...

    Started by LosGirk‎, 3rd Aug 2014 08:20 am
    • Replies: 4
    • Views: 247
    4th Aug 2014 06:25 am Go to last post
  4. Text to Block

    I've seen one or two on this but either they are too specifically detailed or did not work correctly for me. AutoCAD Map 5 I have MText footages along lines. I exploded so they are Text (200')...

    Started by ORgrown‎, 3rd Aug 2014 01:37 am
    map 5, text to block
    • Replies: 3
    • Views: 216
    4th Aug 2014 12:45 am Go to last post
  5. Smile lisp for for sum text number before a specific alphabet character

    Could any body help me to create a lisp for for sum text number before a specific alphabet character Example, 5*M16*35 2*M16*40 4*M16*45 4*M16*35 3*M16*40 6*M16*45

    Started by anjan008‎, 3rd Mar 2014 09:47 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 36
    • Views: 1,410
    2nd Aug 2014 05:54 pm Go to last post
  6. Question Add Layer Description to 'Text to Dislpay' of a Hyperlink...

    I'm not even sure if this is possible, let alone, where to start... I'm trying to add a Hyperlink to a block using the 'Layer Description' as the 'Text to Display' portion of the Hyperlink. ...

    Started by dortega4269‎, 1st Aug 2014 04:41 pm
    • Replies: 3
    • Views: 265
    1st Aug 2014 06:19 pm Go to last post
  7. change draw order if layer exists

    Hi everyone I am trying to write short lisp to check if layer (specified in a lisp) exists and if so change it's draw order (send it to back or front). I have combined my 2 other lisps which both...

    Started by bohoon‎, 28th Jul 2014 06:29 pm
    • Replies: 7
    • Views: 221
    1st Aug 2014 06:16 pm Go to last post
  8. Is it possible to animate using autolisp?

    Hi Just wonder... Let's say... Ent make circle After 1 second Set it's center coordinate 10 units to the right After 1 second set color to red Loop 10 times

    Started by samifox‎, 31st Jul 2014 05:53 pm
    • Replies: 4
    • Views: 262
    1st Aug 2014 03:17 pm Go to last post
  9. Question how to add to a string at 45th character from end.....

    Hi, I have a string called 'txt_result', this is generated from a text document, i need to add a '\\P' at the 45th character of the string so that all characters after 45 go to a new mtext line.......

    Started by dan_g8‎, 31st Jul 2014 12:39 pm
    • Replies: 8
    • Views: 278
    1st Aug 2014 02:50 pm Go to last post
  10. Expanded measure command

    I'm looking to use the measure command in a slightly different way. I need to use measure, then return that number created into a block and insert that block to a point on a line. Ultimately, I am...

    Started by Nobull84‎, 1st Aug 2014 01:40 pm
    divide, measure, stud
    • Replies: 0
    • Views: 130
    1st Aug 2014 01:40 pm Go to last post
  11. Help! Insert drawing frame.

    Hi Dear guys. My habit is drawing graphics first, then insert the drawing frame.  The graphics sometimes big, sometimes small. I want pick 2 point to inset drawing frame. or choose...

    Started by liuhaixin88‎, 30th Jul 2014 06:21 pm
    • Replies: 9
    • Views: 330
    1st Aug 2014 10:30 am Go to last post
  12. help with reactor

    Hello guys . I need to use a reactor to re write the text string as it was inserted with a routine if any user changed this text string . This is my codes and it doesn't work , can anyone help...

    Started by Coder‎, 31st Jul 2014 09:32 pm
    • Replies: 5
    • Views: 180
    1st Aug 2014 10:08 am Go to last post
  13. Cool Help for lisp routin

    Hi guys i need to rutin that open a file with name test.txt and for each line of this file added 1-find "A" in the file and replace with "AA". 2-added string "xxxxxxxx" in ahead of each line....

    Started by hosyn‎, 29th Jul 2014 04:20 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 658
    1st Aug 2014 08:51 am Go to last post
  14. I want to learn lisp

    HI ALL, I am new joiner in cadtutor and I am very much interested to learn writing LISP. Frankly I don't know any thing about lisp program rather than copying lisp files from internet.............I...

    Started by narendra‎, 20th Jul 2014 10:01 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 1,200
    1st Aug 2014 04:14 am Go to last post
  15. Wink LISP - Merge color layers

    Hi guys, need your help, I need a lisp to merge similar color layers into a new layer. I use 4 preset layers: grid, columns, walls, and various texts. Prepare the remaining drawing by the different...

    Started by nelsonavirama‎, 31st Jul 2014 11:24 pm
    • Replies: 3
    • Views: 193
    1st Aug 2014 01:01 am Go to last post
  16. print to pdf inconsistency

    Hello all, I have been working on printing to text-searchable PDFs, and ran into a little problem. When I regen a drawing and print to PDF, the output is not consistent - it changes just a little...

    Started by aggie_moose‎, 30th Jul 2014 05:41 pm
    • Replies: 6
    • Views: 284
    31st Jul 2014 10:13 pm Go to last post
  17. Draw vertical line

    Help please! I am trying to write a quick lisp routine to draw a vertical line from a user selected point: (defun c:lz() (setq pt1 (getpoint " Pick Point: ")) (setq x (rtos (car pt1))) ...

    Started by robertbon‎, 31st Jul 2014 10:21 am
    • Replies: 7
    • Views: 278
    31st Jul 2014 10:03 pm Go to last post
  18. A lisp need some modify.

    Hi friends. This routine need some modify, I hope you can help me. Thanks. Can only draw type A , I need one more option, type B And, I also need to manually enter the length, Not just choose...

    Started by andy_lee‎, 24th Jul 2014 06:03 am
    4 Pages
    1 2 3 ... 4
    • Replies: 34
    • Views: 999
    31st Jul 2014 04:26 pm Go to last post
  19. Help with lisp editing to define layers?

    Hi All I have tried to figure this out but, well, I'm just not very good at lisp editing... I've been using Lee Mac's incredibly useful "Label" lisp but what I want to do ideally is alter the...

    Started by Torro‎, 30th Jul 2014 09:24 am
    • Replies: 4
    • Views: 161
    31st Jul 2014 04:17 pm Go to last post
  20. Replace Selected Block Or Blocks With Another Block

    DOES ANYONE HAVE A QUICK AND EASY WAY TO REPLACE A SELECTED BLOCK. ALSO IS THERE A WAY TO REPLACE MULTIPLE SLECTED BLOCKS AND REPLACE WITH A DIFFERENT BLOCK TYPICAL FOR ALL THE BLOCKS THAT ARE...

    Started by Efeezy‎, 27th May 2010 12:12 am
    3 Pages
    1 2 3
    • Replies: 26
    • Views: 12,521
    31st Jul 2014 03:59 pm Go to last post
  21. Drawing AutoLisp that tracks time - question

    while searching for a way to more efficiently track my job times on AutoCAD .. I came across an autolisp that someone wrote for someone else who asked for it. It was back from 2010. The thread...

    Started by jennielowery‎, 30th Jul 2014 10:34 pm
    • Replies: 4
    • Views: 218
    31st Jul 2014 02:04 pm Go to last post
  22. Need help using mapcar

    Hey everyone, I've had to add a ton of data into this cad-to-excel program I've been working on for the last long while... Here's example of the data list that is now hardcoded into the routine ...

    Started by Bhull1985‎, 28th Jul 2014 02:12 pm
    • Replies: 4
    • Views: 254
    31st Jul 2014 12:33 pm Go to last post
  23. Question annotative scale into non-annatative scale (text,dim., block)

    Hi I would like to find a lisp to change my fig.1 into fig.3 that is same as my fig.3 with annotative scale and also annotative scale changes something (text, dim, block) into non- annotative...

    Started by cadamrao‎, 31st Jul 2014 10:07 am
    • Replies: 0
    • Views: 128
    31st Jul 2014 10:07 am Go to last post
  24. Unhappy Block SUBSTITUTE name lisp

    Hi Everyone, basically I need to change a name of one block using a lisp routine. I found this:(defun c:REP (/ ENT1 BL1 bl2 OLD ODNM) (command "undo" "begin") (prompt "\nSelect Replacement...

    Started by przem_saw‎, 27th Jun 2014 09:35 am
    • Replies: 7
    • Views: 452
    31st Jul 2014 09:24 am Go to last post
  25. Flexible Lines

    I need to Draw Double line 2D Flexible and Single line Flexible,I want Radially bent flex in curve and straight flex in straight path.Please help me with .Lsp File. I have attested here with the...

    Started by ramale‎, 16th Jun 2014 10:03 am
    • Replies: 7
    • Views: 389
    31st Jul 2014 07:32 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts